<?php

class Quantite
{
    protected $nom_bouteille;
    protected $volume_bouteille;
    protected $millesime_bouteille;
    protected $qte_bouteille;

    private $persistant;

    /**
     * @return string
     */
    public function getNomQuantite() : string
    {
        return $this->nom_bouteille;
    }

    /**
     * @param string $nom_bouteille
     * @return Quantite
     */
    public function setNomQuantite(string $nom_bouteille) : Quantite
    {
        $this->nom_bouteille = $nom_bouteille;
        return $this;
    }


    /**
     * @return float
     */
    public function getVolumeQuantite() : float
    {
        return $this->volume_bouteille;
    }

    /**
     * @param float $nom_bouteille
     * @return Quantite
     */
    public function setVolumeQuantite(float $volume_bouteille) : Quantite
    {
        $this->volume_bouteille = $volume_bouteille;
        return $this;
    }

    /**
     * @return int
     */
    public function getMillesimeQuantite() : string
    {
        return $this->millesime_bouteille;
    }

    /**
     * @param int $millesime_bouteille
     * @return Quantite
     */
    public function setMillesimeQuantite(string $millesime_bouteille) : Quantite
    {
        $this->millesime_bouteille = $millesime_bouteille;
        return $this;
    }

    /**
     * @return int
     */
    public function getQuantite() : int
    {
        return $this->qte_bouteille;
    }

    /**
     * @param string $qte_bouteille
     * @return Quantite
     */
    public function setQuantite(int $qte_bouteille) : Quantite
    {
        $this->qte_bouteille = $qte_bouteille;
        return $this;
    }

    /**
     * @return bool
     */
    public function getPersistant(): bool
    {
        return $this->persistant;
    }

    /**
     * @param bool $persistant
     * @return bouteille
     */
    public function setPersistant(bool $persistant): Quantite
    {
        $this->persistant = $persistant;
        return $this;
    }

    public function __toString()
    {
        return "object:Quantite (".$this->nom_bouteille.", ".$this->volume_bouteille.", ".$this->millesime_bouteille.", ".$this->qte_bouteille.")";
    }

}