<?php

/**
 * Class VueQuantite
 */
class VueQuantite
{

    /**
     * production d'une string contenant un tableau HTML représentant un livre
     * @param Quantite 
     * @return string
     */
    public function getHTML4OQuantite(Quantite $Quantite): string
    {
        $ch = "<table border='1'>
        <tr><th>id_Quantite</th><th>nom_Quantite</th></tr><tr>\n";
        $ch .= "<tr><td>" . $Quantite->getNomQuantite() . "</td>\n";
        $ch .= "<td>" . $Quantite->getVolumeQuantite() . "</td>\n";
        $ch .= "<td>" . $Quantite->getMillesimeQuantite() . "</td>\n";
        $ch .= "<td>" . $Quantite->getQuantite() . "</td>\n";
        $ch.= "</tr></table>\n";
        return $ch;
    }

    /**
     * production d'une string contenant un formulaire HTML
     * destiné à saisir une nouvelle Quantite ou a en modifier une
     * @param array $assoc
     * @return string
     */
    public function getFormulaire4OQuantite(array $assoc): string
    {
        $ch = "<form action='".$_SERVER['PHP_SELF']."' method='GET'>\n";
        foreach ($assoc as $col => $val) {
            if (is_array($val)) {
                $ch .= "$col : <input name='$col' type='".$val['type']
                    ."' value='".$val['default']."' />\n";
            }
            else
                $ch .= "$col : <input type='$val' name='$col' />\n";
        }
        $ch .= "<input type='submit' name='Valider' value='Sauver'/>\n";


        return $ch."</form>\n";
    }

    /**
     * production d'une string contenant une liste HTML représentant un ensemble de livres
     * et permettant de les modifier ou de les supprimer grace à un lien hypertexte
     * @param Quantite $tabEntiteQuantite un tableau d'instances d'EntiteLivre
     * @return string
     */
    public function getAllQuantite(array $tabEntiteQuantite): string
    {
        $ch = "<ul>\n";
        foreach ($tabEntiteQuantite as $Quantite) {
            if ($Quantite instanceof Quantite) {
                $ch .= "<li>".$Quantite->getNomQuantite()." ";
                $ch .= $Quantite->getVolumeQuantite()." ";
                $ch .= $Quantite->getMillesimeQuantite()." ";
                $ch .= $Quantite->getQuantite()." ";
                $ch .= "<a href='?action=update&id_Quantite=".$Quantite->getNomQuantite()."'>Modifier</a> ";
                $ch .= "<a href='?action=delete&id_Quantite=".$Quantite->getNomQuantite()."'>Supprimer</a> ";
                $ch .= "</li>\n";
            }
        }
        return $ch."</ul>\n";
    }


}

